/**
** This software is distributed under the terms of the General Public License.  
** 
** Program : BuildIT!
** Version : 0.2
** Authors : Artur Prusakiewicz <prusak@mat.uni.torun.pl>
**	     Michal Switala <scisly@mat.uni.torun.pl>
** E-MAIL  : build@mat.uni.torun.pl
** WWW     : http://www.mat.uni.torun.pl/~scisly/buildit/
**           http://www.mat.uni.torun.pl/~prusak/buildit/
**/

#include "Events.h"
#include <qlabel.h>
#include <qbttngrp.h>

evtTab::evtTab(QWidget* parent,const char* name):QWidget( parent, name, 0 )
{	QButtonGroup *bg1 = new QButtonGroup( this, "ButtonGroup_6" );
	bg1->setGeometry( 10, 10, 380, 280 );
	bg1->setFrameStyle( 49 );
	bg1->setAlignment( 1 );

	QButtonGroup *bg2=new QButtonGroup( this, "ButtonGroup_7" );
	bg2->setGeometry( 20, 50, 360, 230 );
	bg2->setFrameStyle( 49 );
	bg2->setTitle( "events" );
	bg2->setAlignment( 1 );

	QLabel *l= new QLabel( this, "variable name" );
	l->setGeometry( 30, 20, 90, 20 );
	l->setText( "Variable  Name:" );
	l->setAlignment( 290 );

	varName = new QLineEdit( this, "varName" );
	varName->setGeometry( 125, 20, 105, 20 );
	varName->setFrame( TRUE );
	varName->setMaxLength(29);
	varName->blockSignals(TRUE);

	QLabel *l2=new QLabel( this, "variable scope" );
	l2->setGeometry( 240, 20, 35, 20);
	l2->setText( "Scope:" );

	varScope = new QComboBox( this );
	
	varScope->setGeometry( 285, 20, 90, 20 );
	if (QString(name) == QString("MyClass")) varScope->setEnabled(FALSE);	
	varScope->insertItem("private", PRIV);
	varScope->insertItem("protected", PROT);
	varScope->insertItem("public", PUB);

	varScope->blockSignals(TRUE);

	evts = new QListBox( this, "evts" );
	evts->setGeometry( 40, 70, 320, 160 );

	list=new QComboBox(this,"list");
	list->setGeometry(40,240,180,30);

	addE = new QPushButton( this, "add" );
	addE->setGeometry( 230, 240, 40, 30 );
	addE->setText( "add" );
	connect(addE,SIGNAL(clicked()),SLOT(add()));

	rmE = new QPushButton( this, "rm" );
	rmE->setGeometry( 280, 240, 70, 30 );
	rmE->setText( "remove" );
	connect(rmE,SIGNAL(clicked()),SLOT(rm()));

	bg1->insert(addE);
	bg1->insert(rmE);

	bg2->insert( addE );
	bg2->insert( rmE );

	resize( 400,300 );
}

void evtTab::add()
{
  bool ok=TRUE;
  int i;
  QString tmp=QString(list->currentText());
  for(i=0;i<evts->count();i++)
    {
      if(QString(evts->text(i))==tmp)
	{
	  ok=FALSE;
	  break;
	}
    }
  if(ok)
    {
      evts->insertItem(tmp);
      evts->setCurrentItem(evts->count()-1);
    }
}

void evtTab::rm()
{
  if(evts->count()>0)
    evts->removeItem(evts->currentItem());
}

void evtTab::clrListener()
{
  list->clear();
}

void evtTab::putListener(const char *val)
{
  list->insertItem(val);
}

evtTab::~evtTab()
{
}




